/*
 * playlisttab.h
 *
 * Copyright (C) 2009 Christoph Pfister <christophpfister@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef PLAYLISTTAB_H
#define PLAYLISTTAB_H

#include "../kaffeine.h"

class QModelIndex;
class QTreeView;
class PlaylistModel;

class PlaylistTab : public TabBase
{
	Q_OBJECT
public:
	explicit PlaylistTab(MediaWidget *mediaWidget_);
	~PlaylistTab();

	void playUrl(const KUrl &url);
	void playUrls(const QList<KUrl> &urls);

public slots:
	void previousTrack();
	void nextTrack();
	void playTrack(const QModelIndex &index);

private:
	void activate();

	void playTrack(int track);

	MediaWidget *mediaWidget;
	QLayout *mediaLayout;
	PlaylistModel *playlistModel;
	QTreeView *playlistView;
	int currentTrack;
};

#endif /* PLAYLISTTAB_H */
